commit 48fd87d0a417a7b6ee28559276f46b82f2eb4f68
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jun 12 14:51:57 2023 +0000

    update copyright year

commit e2efb9cbf292d586efee7758c8924a90094e9875
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 18 04:52:19 2022 -0400

    bumped changelog version

commit 2c7db46c8adad117de60286c74590fd4ea876eac
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 17 06:17:40 2022 -0400

    minor

commit 85a02286f3627c0387f48b43117e58e5189a30fc
Merge: 7e1dc3f 932ff83
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 17 06:16:22 2022 -0400

    Merge remote-tracking branch 'github-kicksecure/master'

commit 932ff838b0fdf538be249a6fbd2527d73021a0bb
Merge: 7e1dc3f 8d2043c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jun 17 06:13:54 2022 -0400

    Merge pull request #2 from JKAbrams/upstreaming_example
    
    Add example showcasing how multiple signatures can be checked

commit 7e1dc3fa0a0c4ff6db46a02fcc5dc6c7d0700d3f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 8 10:29:49 2022 -0400

    bumped changelog version

commit cad246f2047e128a6bef631ee94c683f2f0d0b63
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 8 09:24:38 2022 -0400

    remove unicode

commit 3a0306bc2f6bb82c692c3dfd2a4db5ef93a6daf9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:05:46 2022 -0400

    bumped changelog version

commit 809bd327437d0209bef72b6097d022df032c9850
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:05 2022 -0400

    readme

commit c0be6307d1a44e4a1b6fc3a78fe3634a89f9e68c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:33 2022 -0400

    copyright

commit 8d2043c75423979fcafd523d1a487fb52a0346aa
Author: JKAbrams <JKAbrams@users.noreply.github.com>
Date:   Mon May 9 00:18:28 2022 +0300

    As an aid in picking keys for trust an investigation into the bitcoin core signers is included

commit 10de48ff4f6e030aa737e4d3b1ea2b6551a9f652
Author: JKAbrams <JKAbrams@users.noreply.github.com>
Date:   Mon May 9 00:16:48 2022 +0300

    Add an example showing how multiple signatures can be checked by verifying Bitcoin Core

commit 57263f3e328cadcaf094940cb7096591ff728f96
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:10 2022 -0400

    readme

commit 5a98160c1dce5a1f75236a15a7f5388d3e936404
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:30 2021 -0500

    readme

commit c4440ef14adad8aa9b46cb6f4d0b34579f22c66d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 18:41:42 2021 -0400

    bumped changelog version

commit 9309a1656e38b0187b262cfca4350acb313386f5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:32:36 2021 -0400

    readme

commit f865cb52b140da64d2788173c54ce978c6589074
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:41:45 2021 -0400

    bumped changelog version

commit 64d516d7c8dce0c816c2adcce5ed6c00b3aaa697
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 15:13:11 2021 -0400

    lintian FHS

commit 8ea9947430416c804c3ff229404e04e56e0ab045
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:20 2021 -0400

    bullseye

commit c3ddff2ef70817b47356d29d011ffad6a45b1a72
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:28 2021 -0400

    readme

commit 4d6a8f0211e79c2a3f6dbda723e0f356d657d738
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 07:33:27 2021 -0400

    bumped changelog version

commit b615c2167f19bd2824e8b10a8501d1bae85f814a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 05:35:12 2021 -0400

    minor

commit 2cfac1e26530fb00117f0d08bb9275a9177ed372
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 11:26:31 2021 -0400

    bumped changelog version

commit 1660df55640bb383324d72afbfa8daa08cf94c4d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:14 2021 -0400

    copyright

commit 57dcffad8d8cf8929b5df179dd48de3c985336a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 6 06:28:30 2021 -0500

    bumped changelog version

commit 073b9257d412ee8f6c9788dcc6aeb569f47b2018
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 6 06:28:30 2021 -0500

    readme

commit cbb70dd0512fda0310398448de3fc31b6069194a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 6 06:27:53 2021 -0500

    readme

commit 48f24e1e8480ccc57060fcd5b438b19932514bed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 12:02:41 2020 -0400

    bumped changelog version

commit 1f11faa82b3dc1e836ee6bf4b66120a5047a5da8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 10:58:16 2020 -0400

    fix unit test

commit c1c5b02dc357a7209f373837664d12c391bca296
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 10:45:50 2020 -0400

    refactoring

commit 17f0228fcd31b0fe7522fa73c4baf4491f49f355
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 10:39:27 2020 -0400

    refactoring

commit d2a927aa8868c879e644cafff67ba6c7c7de9f17
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 10:37:03 2020 -0400

    output

commit 02ea6c638beddeb9e82efff9d6f9ce15892bd590
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 10:32:59 2020 -0400

    output

commit e2c3c54b5c76e9ba9a9c4b637999282aff7fec74
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 10:28:27 2020 -0400

    use `--import-options show-only,import-minimal` for key fingerprint output
    
    to fix cosmetic / usability issue otherwise showing output:
    
    > gpg: key 4E2C6E8793298290: 1 duplicate signature removed
    > gpg: key 4E2C6E8793298290: 236 signatures not checked due to missing keys
    > gpg: key 4E2C6E8793298290: 1 signature reordered

commit 4adfb131d3b57f6a05608c39820c9ff200c4ce9e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 10:25:31 2020 -0400

    comment

commit 879df2b5dd6fbb63f25cfb00f580708c0eae278e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 10:24:13 2020 -0400

    comment

commit 73867decec5aae1824b70fb2534ce6516b2b820d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 10:12:27 2020 -0400

    cosmetic fix `gpg: WARNING: no command supplied. Trying to guess what you mean ...`
    
    https://forums.whonix.org/t/gpg-show-key-warning-gpg-warning-no-command-supplied-trying-to-guess-what-you-mean/7859

commit fe7e210631f773960bf92fb356b28f29cd35071f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 29 10:03:07 2020 -0400

    refactoring

commit 6c6455859209a97d48588a0733c0956bf8fda95c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:31:18 2020 -0400

    bumped changelog version

commit 5858fd103e41f70f9e6f8b841b3d7d8735d74c22
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:31 2020 -0400

    readme

commit 2896e4363a88d083beb5d046940d2d4939261fc2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:43:44 2020 -0400

    bumped changelog version

commit b80802d0f088be4c51eabfd2b196bb0324103535
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:29 2020 -0400

    readme

commit 7e2f5a555a0a0e4959534428f225200dca3ca936
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:29 2020 -0400

    remove genmkfile

commit 34e2bdbcb04455796d0b40911c84ee4d45cd63c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:30:08 2020 -0400

    add debian install file

commit 2a4030a189649236b817b634331fabab0a26cc56
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 10:36:54 2020 -0400

    bumped changelog version

commit 0352bdc8c5d5477a3748ffd236a32dbe3cf29b9e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:49:55 2020 -0400

    update copyright year

commit 2b40e7a406e0521256f19907836ff8c6c1e5cf44
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:38:35 2019 +0000

    bumped changelog version

commit a0e6eda3482177a3bb02dcb3337544196d73c7ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:37 2019 +0000

    readme

commit f8944dff173985d6eb32cbfd9ac8e530aae1c5bb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 11:11:05 2019 +0000

    bumped changelog version

commit 20566a5f75e792d62748dd95957e4ca241265e2d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:32 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit 281ab05458567a9b1f3d0928901369c4d227bcdb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:39:39 2019 +0000

    bumped changelog version

commit 6774e88d9b00a2053e46638d2a296e44439e8d33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:29:36 2019 -0400

    readme

commit 0179723df03f764f80fee1f866a1660fce1e49c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:23:59 2019 +0000

    bumped changelog version

commit ba384b7aca5f85ddc5521c3225bd509d4cf80036
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:53 2019 +0000

    update

commit 0587958f7cf295162f619a5ac8711e8783a67c8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:03:41 2019 +0000

    bumped changelog version

commit 1e050530336a23971cfb7bd3d8dc8650f51f6934
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 10:20:09 2019 -0400

    fix lintian warning

commit 4492b2276d54b27ebb28b418112e629761ecfce6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:50:59 2019 -0400

    port to debian buster

commit 811f335458659b668243e0166daa7d57c1e4e552
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:05:46 2019 -0400

    readme

commit f20e270fe769344aae8ca2444e75f2a8a649f36f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:53:07 2019 +0000

    bumped changelog version

commit c3904094fb28a932e27ce367955fc48bc0b8e042
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:03:15 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit 0e788e014b911541a627c08e3bb1fd26c419ae25
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:26:22 2019 +0000

    bumped changelog version

commit 39173bed5b89969fa1ff0ca8a5a98ec9932c2adb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:32:38 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit f56b1aadbf77b60f185890bbd4c78734ed0a068b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 16:38:23 2018 +0000

    bumped changelog version

commit 2a9ac99e6ef77b17e049e5a0254daff8428138f5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:18:48 2018 +0800

    readme

commit 5b83b19c81277674dda7412f1fb24c880c6d7657
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jul 17 11:26:49 2018 +0000

    bumped changelog version

commit 74ff52d06706a5e20e08089d9b87220e9cc7157b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 11 16:54:23 2018 +0800

    adjust unit test for gpg2

commit 47834a45f2595e4b8d97dee0186086c7fd26934a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 11 15:53:43 2018 +0800

    trap restoration bug found

commit 005635831090e6b57e5ce5e2cb9aca0da1195ce7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 15:03:59 2018 +0000

    bumped changelog version

commit d351670bd2a26bf1d2bebb93c0a676ff30e43122
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:51:46 2018 +0000

    readme

commit a1afe88e0093b369501879dae96627a8b116c3e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:38:49 2018 +0000

    update copyright

commit 3737f8f097422ba86cfc7bef2df0e6dd9b1a440f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:21:57 2018 +0000

    update copyright

commit 143132921b3b3b094594521fbeb511db15474d63
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:15:09 2018 +0000

    update copyright

commit cfd999a2a7879797d71f25e67fc3f79c41a5fdab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:34 2018 +0000

    update copyright

commit 6a9f3f853a48374504d7d78c4feacfc70ef85cd0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 13:58:20 2017 +0000

    bumped changelog version

commit 5b18899e56ce987d46fcc1f8a34513de45c7617f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:50 2017 +0000

    remove faketime from Build-Depends:
    
    since no longer used for reproducible builds

commit 4a4d29417503cf38004a0ffd93fff8021b3a0e86
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:23 2017 +0000

    remove debian/gain-root-command workaround

commit a1341f35acf7986be7e6d92f8611bdc4f362816a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:30:20 2017 +0000

    bumped changelog version

commit c085eb42df82eff2438366b5544eb7c2e6f2c34f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:31 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit 371c2f54eed8a48685c5d6dc5deb8e8e9e29a32f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 02:09:54 2016 +0000

    bumped changelog version

commit cfe3cace3108c2fc4322ed1c764e8ed9bce2f483
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:45:31 2016 +0000

    readme

commit b9450184320ea06bfb09007ad0e5c6af7c9f602d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 22:54:36 2016 +0000

    bumped changelog version

commit 61bbedcf7e7a0e725874da0e83de44e1fe6f0d91
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 5 15:18:20 2016 +0000

    use gpg --batch mode
    
    as suggested by @DigitalBrains1 to torbrowser-launcher
    
    https://github.com/micahflee/torbrowser-launcher/issues/229#issuecomment-204942240

commit 310013af7274a8f52102054034e0dce77703ee4d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 21:02:48 2015 +0000

    updated README.md

commit d3ac608e180e961b90183f7fd3eeeeaca260b9a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 14:07:59 2015 +0000

    bumped changelog version

commit 3065b4a45597bcba8c7d175117aa8e78150c1179
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 14:59:40 2015 +0000

    bumped changelog version

commit a51ab06485a204980eace87699e269926bb2c121
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 30 17:56:17 2015 +0000

    bumped changelog version

commit 4b5499173c7759daec6ae4cad7b71ca4a5c6ecec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 13:43:10 2015 +0000

    added debian/source/lintian-overrides with debian-watch-may-check-gpg-signature to fix lintian warning - https://phabricator.whonix.org/T277

commit ba42406a287357a358237f310d2cd20d129438db
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 23:15:59 2015 +0000

    packaging, bumped Standards-Version from 3.9.4 to 3.9.6 for jessie support

commit 9dc868aa17a22af78421c0189c49c51f216d0580
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 20:23:54 2015 +0000

    bumped changelog version

commit 833da423f8d5e95fc08de1d68a0a544109dadbe4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 20:20:17 2015 +0000

    fixed dry run of gpg --fingerprint

commit e61387bc03f9f25953f295bf933105ea6a50a3b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 17:41:41 2015 +0000

    bumped changelog version

commit eb4eefa08f51b6f4f5badb2ee9d8f88546e7611b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:41:10 2015 +0000

    added genmkfile to Build-Depends

commit d0e718dbaa70b31e16f93304c8de638ad4643657
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:24:32 2015 +0000

    updated makefile generic to version 1.5

commit 85ee596918a4cc0bccfd8461660396c632ca8034
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 13:03:15 2015 +0000

    bumped changelog version

commit a3b0b9e6193e59a81a704f43c1175f7f7e92d695
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:36:27 2015 +0000

    bumped changelog version

commit 730a60256a8a14b1c697e94672bba19fa88fd73b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:26:31 2015 +0000

    updated makefile generic to version 1.4

commit d6cff902f40135c3e100a5bb13a6fe8275a41828
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 23 19:37:42 2015 +0000

    comment

commit 47534938d0e8052166c69424a051960f6ff8b9c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 23 19:31:58 2015 +0000

    hide output of gpg --fingerprint per default

commit 368e4106832a8bf34934696ee932ee746a1a5e1e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 23 19:31:23 2015 +0000

    stop parsing after first signature - https://phabricator.whonix.org/T234

commit aeeeb84d57b6edcdbda721985b1aa93d7bc473f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 23 16:55:18 2015 +0000

    comment

commit 1ba9e1187f7cd845702111ad1dfa3e642e98ddd0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 23 16:54:02 2015 +0000

    dry run of gpg --fingerprint for more pretty gpg_bash_lib_output_gpg_verify_output that does not contain the trustdb related messages on first run of gpg

commit d05e67a2e73290f043d24faa897d05bb912a9b58
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 19 17:44:49 2015 +0000

    readme

commit 4aa534574b8846345e86b1c56997c687f8f25de0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 19 17:42:06 2015 +0000

    readme

commit 9c238c3dd8dd38cf2c8cede112d63256f8c26d4e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 19 17:41:43 2015 +0000

    readme

commit c9ef522aa5d8e5a1136c6e05df97c500ce0c0e6b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 19 16:53:33 2015 +0000

    readme

commit e2ec57f1f27fc159b6bb1e2e6090ee44153196a5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 19 16:50:22 2015 +0000

    unit test

commit c46ca7bcd27a6afdfd634334a8a0186a3f9c2fcb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 19 16:45:26 2015 +0000

    comment

commit 66b16e628984286a8822f3895e32331f3f933685
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 9 19:57:01 2015 +0000

    fix

commit be4799d63ab24d1d69edc754e79b2092e76737b5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 9 19:55:02 2015 +0000

    refactoring

commit 7e89c49b967ea86efd6c009578b9dd01bd58b243
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 15:54:22 2015 +0000

    fix

commit 547265054029726e2ee74dd6363098713d6f7bc3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 26 21:15:16 2015 +0000

    unit test

commit a58e4ce28950c3398b58c74f18759c7c652b0f31
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 26 21:12:44 2015 +0000

    unit tests

commit 193678aa9997c946be8a5537a879bc5b5c095978
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 26 21:11:10 2015 +0000

    renamed:    usr/share/gpg-bash-lib/unit-tests/unit_test2 -> usr/share/gpg-bash-lib/unit-tests/traps_and_shopts
    renamed:    usr/share/gpg-bash-lib/unit-tests/unit_test -> usr/share/gpg-bash-lib/unit-tests/verification

commit c3d769fa3bb6c033c4fd4357512baf4c671c6fe8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 26 21:10:07 2015 +0000

    renamed:    usr/share/gpg-bash-lib/unit_test -> usr/share/gpg-bash-lib/unit-tests/unit_test
    renamed:    usr/share/gpg-bash-lib/unit_test2 -> usr/share/gpg-bash-lib/unit-tests/unit_test2

commit 62771500c3615416262adef699f15aafa78f6b36
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 25 17:31:19 2015 +0000

    sanity test

commit 3e76a350844d513400d41cd285101c8658190d8a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 25 17:06:47 2015 +0000

    fix restore existing traps in all cases

commit 8629adb34e73f66f5fe25c9689472876fe173b5e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 16:01:51 2015 +0000

    updated examples

commit defc571779396e76f9e672ae9ca49259bea94422
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 16:00:09 2015 +0000

    updated examples

commit 37a7e8924d71f8d0ae977b27cc23dc40992ae2e1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 15:57:56 2015 +0000

    sanity test

commit a4a7c1a52747e8b61c72b74473a7fa7e54ec13ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 15:07:58 2015 +0000

    fix

commit 8a2aefc45471950f1659af55e9f22558bad93a4a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 15:07:09 2015 +0000

    comment

commit 059b1f377ba464211c7cb0f49f8201d014f4c928
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 15:01:27 2015 +0000

    comment

commit 86149da244b0332c96b59c697476e8f217051dbe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 14:54:09 2015 +0000

    sanity test

commit e83b09a80f7adf50d2d8ed0dc0e157bb1b4a4018
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 14:00:35 2015 +0000

    only set/unset shopt dotglob/nullglob when required

commit 5b8b781bd22a6455d792f4fb6265e4f2eebc2b1d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 13:52:03 2015 +0000

    output

commit b4c19a340daef524c0136fb53aa415f41bb1f0ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 13:45:24 2015 +0000

    output

commit a4ffeaf4caa9bb789c6045a32334b3882eac7a45
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 13:41:40 2015 +0000

    trust keys that were imported from key files folder

commit dee99507becae1d8ff692126427dec28a5e3fd13
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 12:45:45 2015 +0000

    refactoring

commit 1d5d8fc17b587c6a5b0cbcba361984212b799241
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 12:44:08 2015 +0000

    fix

commit d9e211eb11639a5bd515ba6e659aee6471913702
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 12:42:29 2015 +0000

    refactoring

commit e9ec9d8993168fe3b7431405803ec9cf9d89517e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 24 12:39:08 2015 +0000

    automatically set/unset trap, pipefail, errtrace as required

commit eaf9de8879f3f27926289c9444ef5eb1c96405ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 04:03:57 2015 +0000

    readme

commit c856a4b04eb9e9e593c14f7db20052fbe673163d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 03:54:01 2015 +0000

    Revert "made variables gpg_bash_lib_internal_gpg_verify_status_fd_file and gpg_bash_lib_internal_gpg_verify_output_file overruleable"
    Breaks when doing multiple runs in a row.
    This reverts commit df48212cb7b25d487ed51c634bdc63e0e8b85b43.

commit cf4e159bfd7d6485b8a8131ccb6747ec018060e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 03:44:50 2015 +0000

    refactoring

commit ac129a54c774448c1ff48c8b95e1b07c9b66bc9c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:56:16 2015 +0000

    bumped changelog version

commit 9d80d68d9bf74378efbff246b7ffcf60df5acb5c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:44:48 2015 +0000

    added changelog.upstream

commit e633391906055a4104d848218ee3ab1e64cd1b3f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Feb 4 00:40:36 2015 +0000

    updated makefile generic to version 1.3

commit e7b76e7b0010e948f0307ba9992189bf77ad5afb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 3 23:58:41 2015 +0000

    Added creation of upstream changelog to debian/rules

commit df48212cb7b25d487ed51c634bdc63e0e8b85b43
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 3 02:28:04 2015 +0000

    made variables gpg_bash_lib_internal_gpg_verify_status_fd_file and gpg_bash_lib_internal_gpg_verify_output_file overruleable

commit a666b914253facee02ad470f822475a300a4722d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 3 00:17:03 2015 +0000

    chmod -x usr/share/gpg-bash-lib/misc/gpg-test-pub-key.d/pubring.gpg

commit 0a74694502d104d998280608540ae007b33edc74
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 30 14:08:14 2015 +0000

    changed date format

commit ead2d2ebd97c5d30b19ae67e1c15a89f8502617c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 20:28:55 2015 +0000

    create gpg_bash_lib_output_diagnostic_message also when gpg_bash_lib_output_gpg_verify_exit_code is non-zero

commit ceebb3749339890c1172841254b567c031356550
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 20:25:42 2015 +0000

    using --ignore-time-conflict so we can check signatures if the clock is very slow, clock sanity check will be done after signature verification

commit 805d5bc956cd662187947a9b7783bacf3565f2c7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 19:34:32 2015 +0000

    indent

commit 355aa4b56174d67c11354f9928417f4ed25eb6f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 19:00:40 2015 +0000

    readme; comments

commit 03be952d0d631d601a59155db07075948c59c36b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 18:53:53 2015 +0000

    new variable: gpg_bash_lib_output_goodsig_status

commit 0e55c504dbebdf1deb45416d411855c9784d5e56
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 18:36:57 2015 +0000

    TODO

commit 9913d295e2c069ce7bcc7040815b2c9a7a9a5208
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 18:36:38 2015 +0000

    comments

commit 52a8744dee508f709d07a4e94c1420adefc9f216
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 18:26:43 2015 +0000

    unit test

commit 929abc9882c1c375f96d2ca4144efbb45311081a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 18:25:40 2015 +0000

    unit test: decreased key size. It is just a locally used test key that is discarded after testing, so we can use a weak key to speed up key generation.

commit f0130abf01be43913dfd5f811e2683341e50ebd6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 18:23:53 2015 +0000

    unit test: set expire date to ease testing

commit 59108acbe5d8e93263e34d228305794d2636aef3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 18:15:46 2015 +0000

    refactoring

commit d7536e416e9adc4681db3a1664e203efadebf45c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 18:08:33 2015 +0000

    make sure gpg_bash_lib_output_validsig_status is never set to "" for consistency

commit c73c90dd980b90f93802849b84e982e796ea9c68
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 18:06:32 2015 +0000

    make sure gpg_bash_lib_output_file_name_tampering is never set to "" for consistency

commit c065ea2d381e84f44a570bb422c0097d61c06b7a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 18:01:16 2015 +0000

    readme

commit 6386d3cbd5c0a088c908df9c1f1df49df101273d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 18:00:22 2015 +0000

    changed gpg_bash_lib_output_current_time format

commit a3237c816fd64c4424ec386bb9de07eb2d5ea013
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 17:57:17 2015 +0000

    make sure gpg_bash_lib_output_failure_status is never set to "", but to true or false for better consistency

commit 6312e5439985f6b466f46f030eb5c8ebd45ef4ca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 29 13:57:59 2015 +0000

    changed format of gpg_bash_lib_output_signed_on_date

commit d25cc6e32bbc0de65bf5b6b5d487c53c7f3d3221
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 26 17:04:59 2015 +0000

    readme

commit d920d85a5a4b0fa8c06a16d22c3c8cfc7ad46498
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 26 17:02:49 2015 +0000

    readme

commit d365363b9c87be864eb66231ed3f4a072800051c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 26 03:31:37 2015 +0000

    readme

commit 2e8f932ae22f88ef5e7c91874c53598973f9e448
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 23:09:27 2015 +0000

    readme

commit f303edb7e6a0cdf7f0f2664efc7c9230ebd4b6c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 23:07:52 2015 +0000

    readme

commit fce001d3de49ab4a37bdaf53104021f63073e321
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 23:07:06 2015 +0000

    readme

commit 09c49dd78dec508f043855d7f3127df0b19723af
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 23:05:24 2015 +0000

    readme

commit 21aef8175a30b4c04b02a3945a585de42ff0e0df
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 22:59:47 2015 +0000

    readme

commit 3ce59c4a547b4e07eb578e7c98e718409c22ec3c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 22:53:21 2015 +0000

    readme

commit 46a7b2931d5e606e1e4c18892bfffa8da921e608
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 22:50:49 2015 +0000

    readme

commit 67e8876a042ba1d1a62f32d81836330cc7ba0cca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 22:43:46 2015 +0000

    readme

commit 883ebb51b0b3aa127070e3af4bc36397e7161c38
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 22:41:37 2015 +0000

    readme

commit b9d4c414b70cb37e2efad195a45c46decea4356b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 22:41:11 2015 +0000

    readme

commit 159d13b67cdea963c60949b46d29babda348fcb0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 22:27:45 2015 +0000

    example

commit 756707b3ae1dfa6fc9b8e939b6b6ea4558aa1e50
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 22:18:44 2015 +0000

    readme

commit 820d98b6124e0e61425b598a09dcfdf53bb43024
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 22:15:55 2015 +0000

    readme

commit c526c9e67613c5598f8c21de6ce103f81fb2f053
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 22:12:40 2015 +0000

    readme

commit b351499fcb3f336eebba826b3355c4515f1f70a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 22:08:28 2015 +0000

    example

commit 8c661016fe1e51843e0aef20df527c16cf0e81a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 22:05:13 2015 +0000

    added example, test key, test file, test signature

commit 788921a3c0a9ec6925ef25bdec386521333ce3cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 20:27:51 2015 +0000

    readme

commit 5c7424817582a29affc40027ca91bb28355463d2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 20:23:23 2015 +0000

    readme

commit 1255627e19261202661a5ade2353902febc76402
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 20:21:18 2015 +0000

    readme

commit 2ebfde06896f92b8ce7f6b6fc5b4067cc0e7e3b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 19:12:39 2015 +0000

    renamed variable gpg_bash_lib_output_validsig to gpg_bash_lib_output_validsig_status

commit 7c353993f9ddaf1d52c6e28a8e0f386b0eed3863
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 19:09:50 2015 +0000

    readme

commit 7873794baa7d99f23e4eeaa541202c9645fc497c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 19:08:13 2015 +0000

    renamed variable gpg_bash_lib_output_validsig_fingerprint_in_hex to gpg_bash_lib_output_fingerprint_in_hex

commit c9e41aacc5c0f610e1fe876c516974969c52750a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 19:05:41 2015 +0000

    renamed variable gpg_bash_lib_output_alright to gpg_bash_lib_output_alright_status

commit cce3dc74277e1aaeb7b6148e4557b4aad92cf975
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 19:01:48 2015 +0000

    renamed variable gpg_bash_lib_output_failure to gpg_bash_lib_output_failure_status

commit 8ccc45783d7cb6249d198bb3b17079f4d2dd84ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 18:49:07 2015 +0000

    renamed variable gpg_bash_lib_output_in_future_output_pretty to gpg_bash_lib_output_in_future_pretty_output

commit b30ae14622d9d71235e5cc5856f2be0412515fac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 18:45:44 2015 +0000

    readme

commit c620669da41460724f8be6e45d4e5e89ae1a24c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 18:43:00 2015 +0000

    renamed variable gpg_bash_lib_output_maximum_age_in_seconds_pretty_output to gpg_bash_lib_output_maximum_age_pretty_output

commit 61edac07b6f4bf85adbd1d4edc8796a78d3ff1ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 18:37:24 2015 +0000

    renamed variable gpg_bash_lib_output_gpg_exit_code to gpg_bash_lib_output_gpg_verify_exit_code for better consistency

commit e48222e28ae312967f946675fe878da403cea445
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 18:28:57 2015 +0000

    renamed variable gpg_bash_lib_output_current_unixtime_minus_signed_on_unixtime_output_pretty to gpg_bash_lib_output_current_unixtime_minus_signed_on_unixtime_pretty for better consistency

commit 04fc76365adb18729650f04fa9e8b7130a964565
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 03:18:50 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit 77badd318034faa9d34db4d8d6c60f42919d78ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 03:16:49 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit 64eb506818c476d4a24c321e3495709450572fd4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 03:01:28 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit 50985b040f870262279b859b2f2cecf674d68ff3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 03:01:17 2015 +0000

    comments

commit 2a7dfd91da4909b6f8b47aea33168e19c38ca125
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 02:58:07 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit cb66ff522caea187230163e3d1d54e2e17004b06
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 02:55:29 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit 7f96fe32d75412154321696d2f8b08acaf133ed5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 02:48:23 2015 +0000

    renamed variable from gpg_bash_lib_input_verifiy_timeout_after to gpg_bash_lib_input_verify_timeout_after to fix typo

commit 8a616e58b8fdadd9fc5c53db8b04a33a81053b55
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 01:38:11 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit f7cee1e8d98f68ca712d1c696d6a69a0895c7df1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 01:31:38 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit 49231a7991d70ab7ac2cd85f84e2b46f7fbe114f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 01:29:36 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit 9e481ffec89c79b53f6f6cba6aa13e838fd466c9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 01:20:52 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit 639597ac811493b0a1e64b186556b4571eb55d96
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 01:13:46 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit 0831e3a45a05f0dedd91230087958e241b5a3c99
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 01:09:10 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit cba233fd433aa3a32197b690f3045ddc367f877f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 01:08:12 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit 880906b6106752e4e85375e7b664096592d696f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 01:07:03 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit ca4f58aaa182a7f3454fd57cdc8c769c2b9e5e8b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 01:05:54 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit fe7da899757d0284f0ac51980d02aa1b37eccb54
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 01:05:17 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit c65732f91808efe30acd3e1d9ebdf3651ee914a7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 01:01:12 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit 433453404daaa6cae3eca04e59e7c9d25c8b4c86
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 00:57:27 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit bb84a61d13935a52cd5c4401ac7dfe664cb06f53
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 00:50:41 2015 +0000

    converted readme to mediawiki syntax, otherwise it's hard to get a table of contents on github

commit 136471763639057449f6d806398b3289c1529924
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 00:33:03 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit 11546cfe7cbea9a255cbd7198411a3b401a0cd19
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 25 00:12:28 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit 930196f8fb9964f3eaedc9ee6f7529726f94c924
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 22:04:38 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit a975ed687a689daa948266cec38cacb3935e94f6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 21:47:35 2015 +0000

    work on documentation - https://phabricator.whonix.org/T108

commit cfaa00284e75825960157b86d23cce3ba081d5b1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 20:34:32 2015 +0000

    moved generic readme part to README_generic.md

commit 6e9ddba63b1ad9e5530cf87b48ec27cebd5a7e75
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 20:13:58 2015 +0000

    started documentation - https://phabricator.whonix.org/T108

commit 55619d433e59227fb005c3d74856d725ded3bcdf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 17:25:02 2015 +0000

    unit_test: code simplification... Changed
    cd ..
    cd ..
    cd ..
    to
    cd ../../../
    Thanks to Sebastian Pipping (@hartwork) for the suggestion.

commit c91ad3cc593210a96b1a1cc0f2b438b4d945e792
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 17:22:53 2015 +0000

    unit_test: Removed --use-agent for creation of temporary gpg key. The unit test should better be independent from any eventually locally running gpg agent. Thanks to Sebastian Pipping (@hartwork) for the suggestion.

commit 6e50b8f34f1d21aea9a49a47ce8e043aeff25175
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 24 17:19:23 2015 +0000

    Changed convention to start function names from gpg_bash_lib_f_ to gpg_bash_lib_function_ as _f_ looks too cryptic. Thanks to Sebastian Pipping (@hartwork) for the suggestion.

commit 44fdda298a834c6ceb0fceff6ee3bd7f81fff7b5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 19 17:24:57 2015 +0000

    renamed variable: gpg_bash_lib_internal_maximum_age_in_seconds_pretty_output -> gpg_bash_lib_output_maximum_age_in_seconds_pretty_output

commit 7e148c2fa89776478b004068113fdd52ec452584
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 23:08:20 2015 +0000

    chmod +x usr/lib/gpg-bash-lib/source_all to fix lintian warning

commit b3660ef4c862a966d434b1ecc37db2c4fcef9274
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 17 18:52:52 2015 +0000

    moved usr/lib/gpg-bash-lib/unit_test to usr/share/gpg-bash-lib/unit_test

commit 0fc7a02b35f9580502daccf46692988b55961a23
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 17:34:28 2015 +0000

    output

commit d343931c3358e0a330d7724c0cc5e2d250dc7c15
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 17:30:16 2015 +0000

    new variable gpg_bash_lib_output_signed_on_date that contains human readable signature creation date

commit f48097cf242081fb3b19f8ce4c691e58cfaab875
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 17:23:32 2015 +0000

    added --verify-options show-notations for more verbose output

commit 90887e54cce1a6d856c2b5ba259f2dacf84104ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 17:18:04 2015 +0000

    output

commit 5c88f23d4669d469c11cbe59fa5730bbd5d01be9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 17:17:27 2015 +0000

    refactoring

commit 35251798b9bdb5d46c829379f285ff68ba2c77b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 17:15:06 2015 +0000

    new variable gpg_bash_lib_output_diagnostic_message

commit 5eac14979cc7479e1a4fe822f992789109dcf4ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 17:07:45 2015 +0000

    store gpg --verify --status-fd output in variable gpg_bash_lib_output_gpg_verify_status_fd_output

commit 44c01c09d0ff2cfc29337fdb1acb721f35cf2817
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 17:04:13 2015 +0000

    output

commit 814615e042592c31d36dc8f1e8eb8b60b8ca63dc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 17:02:50 2015 +0000

    output

commit 968d4ed708ea4e612e4dd9c735607683f3281cb4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 17:02:15 2015 +0000

    store output of gpg --verify in variable gpg_bash_lib_output_gpg_verify_output

commit a4b869e5ff7dce5efc3b43ec040af5d8b4e7ca33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 16:57:06 2015 +0000

    refactoring

commit 4518a6623280446cc9a0b6b1986a20978a902dec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 16:54:20 2015 +0000

    store output for gpg --import inside variable gpg_bash_lib_output_gpg_import_output for debugging purposes; refactoring

commit a83ff3d4057e48d4c61bf25223c9c6527b45fa74
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 16:43:56 2015 +0000

    simplification

commit a810f34856e5391ee90811a4b512e0b2d976bfda
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 16:25:25 2015 +0000

    refactoring

commit 0d147e117ccecd900e23683fcb465b12b031f267
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 16:20:47 2015 +0000

    output

commit 8bc788c111e0dfb6d983b8d677e103a9c4f1c823
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 16:20:15 2015 +0000

    sanity test

commit 7765f989d3d4c0904e187b3e4b6170f17e9a819f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 16:15:38 2015 +0000

    auto detect path to modules.d folder

commit 9a9c719e3f14da518f8f2d417abf431854c2ab83
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 16:06:50 2015 +0000

    sanity test

commit b8a2979a3e2727f46be9f62f5722556171ee94b0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 16:04:42 2015 +0000

    refactoring

commit b1090299cf02518cbb4ec236b7290487f9fbafe3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 16:01:59 2015 +0000

    fix

commit ae363b9a05de0ff71254e958abf57c687027e3a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 03:43:13 2015 +0000

    set gpg_bash_lib_input_temp_folder to "$(mktemp --directory)", if unset

commit 473a915dcb6ee576ebb7e83ee65ad338a5c0b669
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 03:36:35 2015 +0000

    fix

commit 5354b96e3fa4aff5239f3be2bc6902921ae7030b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 03:18:01 2015 +0000

    refactoring

commit 615e024040f2fe634563c54efbc8e96f03b4d18c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 02:58:51 2015 +0000

    sanity test

commit d35ab8765db443216ef9fa98332f24a45153cfba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 02:38:27 2015 +0000

    initial packaging

commit cd091342c797c8991e661d31d7fc0e7dc4cac856
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 16 02:24:20 2015 +0000

    initial implementation
